
---- Tabella TipiProdotto campo Colore   ---

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'TipiProdotto'
AND syscolumns.name = 'Colore')
BEGIN 
ALTER TABLE dbo.TipiProdotto ADD
	Colore varchar(8) NOT NULL CONSTRAINT DF_TipiProdotto_Colore DEFAULT ('')
END


---- Tabella TipiProdotto campo IDVisualizzazione ---

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'TipiProdotto'
AND syscolumns.name = 'IDVisualizzazione')
BEGIN 
ALTER TABLE dbo.TipiProdotto ADD
	IDVisualizzazione smallint NOT NULL CONSTRAINT DF_TipiProdotto_IDVisualizzazione DEFAULT ((0))
END


